body {
    font-family: Arial, sans-serif;
    text-align: center;
    margin-top: 50px;
    background-color: rgb(219, 219, 219);
}
.oculto {
    display: none;
}

#enviar{
    padding: 10px;
    font-size: 16px;
    margin: 10px;
    width: 100px;
    text-align: center;
    border: 4px solid #ff0000;
    font-family: 'AlarmClock', sans-serif;
    color: rgb(255, 94, 0);
    background-color: #000000;
}

#imageminicio {
    position: absolute; 
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('https://img.freepik.com/fotos-premium/bomba-relogio-em-fundo-escuro_68747-66.jpg?w=996'); /* Substitua pelo URL da sua imagem */
    background-size: cover; 
    background-position: center; 
    z-index: -1; 
    filter: saturate(95%);
}

input {
    padding: 10px;
    font-size: 16px;
    margin: 10px;
    width: 100px;
    text-align: center;
    border: 4px solid #ff0000;
    font-family: 'AlarmClock', sans-serif;
    color: rgb(255, 94, 0);
    background-color: #000000;
}
button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}
.tentativas-container {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
   
}
.dicas-conteiner{
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
    border-color: #ff5e00;
  
    
}
.dica{
    width: 300px;
    height: 70px;
    background-color: #000000;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    margin-top: 5px;

    border: 4px solid #ff0000;
    font-family: 'AlarmClock', sans-serif;
    color: rgb(255, 94, 0);


}









.tentativa {
    width: 300px;
    height: 150px;
    font-size: 50px;
    background-color: #000000;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 4px solid #ff0000;
    font-family: 'AlarmClock', sans-serif;
    color: rgb(0, 0, 0);
}
.acerto {
    background-color: rgb(0, 255, 0);
    
    
}
.erro {
    background-color: rgb(255, 0, 0);
    
}


#explocao {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
display: flex;
justify-content: center;
align-items: center;
background-color: rgba(0, 0, 0, 0.8); 

}


.container-cronometro{
display : flex;
justify-content : center;
color: rgb(255, 8, 0);
    height:70px ;
    width: 175px;
   
    border: 4px solid #ff5e00;
    position: absolute;
    top: 90%;
    left: 45.25%;
    
}





#videoExplosao {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    z-index: 10; /* Garante que o vídeo fique sobre tudo */
    display: none; /* Só aparece quando o jogo termina */
}


#mensagemFinal {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2rem;
    color: white;
    text-shadow: 2px 2px 10px black;
    z-index: 20; /* Acima do vídeo */
}

#reiniciar {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 15px 30px;
    font-size: 1.5rem;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    border: 2px solid white;
    cursor: pointer;
    z-index: 20;
    display: none;
}


@font-face {
    font-family: 'AlarmClock';
    src: url('alarm-clock.ttf') format('truetype');
}

H1{
    font-family: 'AlarmClock', sans-serif;
    color: rgb(255, 94, 0);
    font-size: 63px;
    
}


#gerarNumero {






}
#timer {
    font-family: 'AlarmClock', sans-serif;
    color: rgb(255, 94, 0);
    display: flex;
    justify-content: center;
    font-size: 65px;
}


.wrapGerarNumero {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }


  .gerarNumero {
    min-width: 300px;
    min-height: 60px;
    display: inline-flex;
    font-family: 'Nunito', sans-serif;
    font-size: 22px;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 1.3px;
    font-weight: 700;
    color: #313133;
    background: #f88d00cb;
  background: linear-gradient(90deg, rgb(255, 137, 2) 0%, rgb(209, 138, 79) 100%);
    border: none;
    border-radius: 1000px;
    box-shadow: 12px 12px 24px rgba(240, 156, 0, 0.64);
    transition: all 0.3s ease-in-out 0s;
    cursor: pointer;
    outline: none;
    position: relative;
    padding: 10px;
    }
  
  .gerarNumero::before {
  content: '';
    border-radius: 1000px;
    min-width: calc(300px + 12px);
    min-height: calc(60px + 12px);
    border: 6px solid #ff9100;
    box-shadow: 0 0 60px rgba(255, 38, 0, 0.64);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: all .3s ease-in-out 0s;
  }
  
  .gerarNumero:hover, 
  .gerarNumero:focus {
    color: #313133;
    transform: translateY(-6px);
  }
  
  .gerarNumero:hover::before, 
  .gerarNumero:focus::before {
    opacity: 1;
  }
  
  .gerarNumero::after {
    content: '';
    width: 30px; height: 30px;
    border-radius: 100%;
    border: 6px solid #ff0000;
    position: absolute;
    z-index: -1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: ring 1.5s infinite;
  }
  
  .gerarNumero:hover::after, 
  .gerarNumero:focus::after {
    animation: none;
    display: none;
  }
  
  @keyframes ring {
    0% {
      width: 30px;
      height: 30px;
      opacity: 1;
    }
    100% {
      width: 300px;
      height: 300px;
      opacity: 0;
    }
  }
